QGIS Application - Bug report #21675
DBManager - load as new layer doesn't work
2019-03-26 08:59 AM - Rocco Pispico

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:3.6.0 Regression?: Yes

Operating System: W10 and Mint Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 29491
Description

Hi,

in QGIS version 3.6.0-Noosa QGIS code revision 58734527ab on W10 and Mint when I try to load a new layer from a query nothing
happens.
No Error, no crash but the new layer is not loaded.

History

#1 - 2019-03-26 09:07 AM - Alessandro Pasotti
- Resolution set to fixed/implemented
- Status changed from Open to Closed

| think it was fixed in master a few days after the release: https:/github.com/qgis/QGIS/pull/9247

#2 - 2019-04-29 03:27 PM - Bernd Vogelgesang

As | assume that this bug was fixed before roll out of 3.6.2, | think there is still a problem. Indeed a new layer is now loaded, but, in my case, instead of a
point layer a polygon layer is produced, which does not show anything. The attribute table is complete.

#3 - 2019-04-30 12:28 AM - Bernd Vogelgesang

Sorry for the noise. Seems my hole project and/or QGIS instance was completely fucked up. In the end everything just froze. New install, clean project, now

it works.
https://github.com/qgis/QGIS/pull/9247

